Page MenuHomePhabricator

Change configuration of test Wikidata to write term_full_entity_id
Closed, ResolvedPublic

Description

I think this should be done in two steps, first test wikidata and then the production cluster. I take care of both.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterTurn on reading from the term_full_entity_id in testwikidata
operations/mediawiki-config : masterWrite in term_full_entity_id in testwikidata

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
InvalidLydia_Pintscher
OpenNone
OpenNone
StalledNone
OpenNone
ResolvedAddshore
Resolvedthiemowmde
ResolvedAddshore
DeclinedNone
OpenNone
Resolvedhoo
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
InvalidLydia_Pintscher
ResolvedLadsgroup
ResolvedAddshore
ResolvedLadsgroup
DeclinedNone
ResolvedLadsgroup
Resolvedaude
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 12 2017, 7:54 PM

Change 353601 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Write in term_full_entity_id in testwikidata

https://gerrit.wikimedia.org/r/353601

Ladsgroup moved this task from Done to Review on the Wikidata-Former-Sprint-Board board.
Ladsgroup moved this task from Incoming to Blocked on others on the User-Ladsgroup board.

Change 353601 merged by jenkins-bot:
[operations/mediawiki-config@master] Write in term_full_entity_id in testwikidata

https://gerrit.wikimedia.org/r/353601

Mentioned in SAL (#wikimedia-operations) [2017-06-06T11:02:23Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase-production.php: Enabling writing in full entity id in testwikidatawiki (T165197) (duration: 00m 39s)

It's live in testwikidatawiki and works like a charm:

mysql:wikiadmin@db1077 [testwikidatawiki]> select * from wb_terms where term_entity_id = 23831;
+-------------+----------------+---------------------+------------------+---------------+-------------+----------------------+----------------------+-------------+
| term_row_id | term_entity_id | term_full_entity_id | term_entity_type | term_language | term_type   | term_text            | term_search_key      | term_weight |
+-------------+----------------+---------------------+------------------+---------------+-------------+----------------------+----------------------+-------------+
|      106452 |          23831 | NULL                | item             | en            | description | GJjpsJudkMzMthzuBkQR | gjjpsjudkmzmthzubkqr |       0.001 |
|      106453 |          23831 | NULL                | item             | en            | label       | jdTpWkVa             | jdtpwkva             |       0.001 |
|      183296 |          23831 | NULL                | property         | en            | description | PWyurFhtYqVUhkwMnRwK | pwyurfhtyqvuhkwmnrwk |       0.001 |
|      183297 |          23831 | NULL                | property         | en            | label       | ahasBFvv             | ahasbfvv             |       0.001 |
|      250868 |          23831 | Q23831              | item             | fa            | label       | Wow that'd be great  | wow that'd be great  |       0.002 |
|      250869 |          23831 | Q23831              | item             | fa            | description | Let's see            | let's see            |       0.002 |
+-------------+----------------+---------------------+------------------+---------------+-------------+----------------------+----------------------+-------------+
6 rows in set (0.00 sec)

mysql:wikiadmin@db1077 [testwikidatawiki]> select * from wb_terms where term_entity_id = 23831;
+-------------+----------------+---------------------+------------------+---------------+-------------+----------------------+----------------------+-------------+
| term_row_id | term_entity_id | term_full_entity_id | term_entity_type | term_language | term_type   | term_text            | term_search_key      | term_weight |
+-------------+----------------+---------------------+------------------+---------------+-------------+----------------------+----------------------+-------------+
|      106452 |          23831 | NULL                | item             | en            | description | GJjpsJudkMzMthzuBkQR | gjjpsjudkmzmthzubkqr |       0.001 |
|      183296 |          23831 | NULL                | property         | en            | description | PWyurFhtYqVUhkwMnRwK | pwyurfhtyqvuhkwmnrwk |       0.001 |
|      183297 |          23831 | NULL                | property         | en            | label       | ahasBFvv             | ahasbfvv             |       0.001 |
|      250868 |          23831 | Q23831              | item             | fa            | label       | Wow that'd be great  | wow that'd be great  |       0.002 |
|      250869 |          23831 | Q23831              | item             | fa            | description | Let's see            | let's see            |       0.002 |
|      250870 |          23831 | Q23831              | item             | en            | label       | jdTpWkV              | jdtpwkv              |       0.002 |
+-------------+----------------+---------------------+------------------+---------------+-------------+----------------------+----------------------+-------------+
6 rows in set (0.00 sec)

mysql:wikiadmin@db1077 [testwikidatawiki]>
daniel added a comment.Jun 6 2017, 3:44 PM

@Ladsgroup thank you!

So the next steps would be:

  • populate term_full_entity_id on test.wikidata.org
  • turn on reading of term_full_entity_id on test.wikidata.org

Only then should we:

  • turn on writing of term_full_entity_id on www.wikidata.org
  • populate term_full_entity_id on www.wikidata.org
  • turn on reading of term_full_entity_id on www.wikidata.org

We could turn on writing of term_full_entity_id on www.wikidata.org earlier, but it seems an unnecessary risk. We only have to do it before running the population script. We may as well wait with doing it until we know that all steps have actually worked on the test system.

Please file a separate ticket for enableding writing of term_full_entity_id on www.wikidata.org. Thanks!

Ladsgroup renamed this task from Change configuration of Wikidata to write term_full_entity_id to Change configuration of test Wikidata to write term_full_entity_id.Jun 6 2017, 10:05 PM
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 24 2017, 11:16 AM

Change 367393 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Turn on reading from the term_full_entity_id in testwikidata

https://gerrit.wikimedia.org/r/367393

Change 367393 merged by jenkins-bot:
[operations/mediawiki-config@master] Turn on reading from the term_full_entity_id in testwikidata

https://gerrit.wikimedia.org/r/367393

Mentioned in SAL (#wikimedia-operations) [2017-07-31T14:14:34Z] <zfilipin@tin> Synchronized wmf-config/Wikibase-production.php: SWAT: [[gerrit:367393|Turn on reading from the term_full_entity_id in testwikidata (T165197)]] (duration: 00m 42s)

@daniel @Lydia_Pintscher: I tested the rendering and entity suggester and everything works just fine. I close this and I think we can move on to prod \o/

Ladsgroup closed this task as Resolved.Aug 1 2017, 10:17 PM
Ladsgroup removed a project: Patch-For-Review.